/*
** CONU2 Test
** UART2 RS232 asynchronous communication demonstration code
*/

#include <p24fj128ga010.h>
#include "conU2.h"

#define BUF_SIZE 128

main()
{
    char s[BUF_SIZE];
    
	// 1. init the console serial port 
	initU2();
	
    // 2. text prompt 
    clrscr();
    home();
    puts( "Learn to fly with the PIC24!\r");
    sprintf( s, "Learn to fly the PIC24! %d\r", 17);
    puts( s);
    
	// 3. main loop
	while ( 1)
	{
    	// 3.1 read a full line of text
        getsn( s, sizeof(s));
		// 3.2 send a string to the serial port
        puts( s);
				
		// 3.3 send a carriage return
		pcr();
		
	} // main loop
	
}// main
